# 🐇🐇🐇 Bunny-Cli脚手架

```
.-. .-')                    .-') _      .-') _
\  ( OO )                  ( OO ) )    ( OO ) )
 ;-----.\  ,--. ,--.   ,--./ ,--,' ,--./ ,--,'  ,--.   ,--.        .-----. ,--.      ,-.-')
 | .-.  |  |  | |  |   |   \ |  |\ |   \ |  |\   \  `.'  / .-')   '  .--./ |  |.-')  |  |OO)
 | '-' /_) |  | | .-') |    \|  | )|    \|  | ).-')     /_(  OO)  |  |('-. |  | OO ) |  |  \
 | .-. `.  |  |_|( OO )|  .     |/ |  .     |/(OO  \   /(,------./_) |OO  )|  |`-' | |  |(_/
 | |  \  | |  | | `-' /|  |\    |  |  |\    |  |   /  /\_'------'||  |`-'|(|  '---.',|  |_.'
 | '--'  /('  '-'(_.-' |  | \   |  |  | \   |  `-./  /.__)      (_'  '--'\ |      |(_|  |
 `------'   `-----'    `--'  `--'  `--'  `--'    `--'              `-----' `------'  `--'
```

## 🐇主要内容🐇

脚手架源码地址：https://gitee.com/BunnyBoss/bunny-cli.git

### 👉 Vite模板

git地址：https://gitee.com/BunnyBoss/vite_ts_auto.git

- 自动化路由，根据路目录自动生成路由
- 基础媒体图片如404等图片
- 采用scss样式

> vue路由动态生成文档：https://blog.csdn.net/weixin_46533577/article/details/138617997

### 👉 Vue大屏模板

git地址：

- 共四种模板，目前主流的几种大屏方案
  1. rem布局方式：https://gitee.com/BunnyBoss/vue_ts_large_rem.git
  2. rem+vwvh：https://gitee.com/BunnyBoss/vue_ts_large_remvmvh.git
  3. scale缩放方案：https://gitee.com/BunnyBoss/vue_ts_large_scale
  4. vmvh方案：https://gitee.com/BunnyBoss/vue_ts_large_vmvh.git

### 👉 Vue后台模板模板

git地址：https://gitee.com/BunnyBoss/bunny-admin.git

- 采用Gitee上开源[GuYue大屏](https://gitee.com/Y_lao/GuYue-Admin)

git地址：https://gitee.com/yiming_chang/vue-pure-admin.git

- 采用vue-pure-admin

git地址：https://gitee.com/BunnyBoss/bunny-admin-element-thin

- 因为vue-pure-admin很多都写好，想删除写东西，这个是精简版的。

### 👉 Java模板

git地址：https://gitee.com/BunnyBoss/java_single.git

- 单体架构，Maven聚合工程，将很多模块拆分

git地址：https://gitee.com/BunnyBoss/java-mirror-server.git

- 微服务架构。

### 👉 Docs文档

git地址：https://gitee.com/BunnyBoss/bunny_docs

- 使用`VuePress Theme Hope`

## 😀 展望未来

1. 将模板中融合路由权限。
2. 修改后台模板，在新增一个后台管理。
3. 再优化优化各个项目
4. 未来将docs文档再优化下使它更全面更好用。

## 🆕更新内容

1. 删除vue模板中vue-cli版本
2. 删除所有React版本模板
3. 直接引入vue-pure-admin内容
4. 加入精简版的vue-pure-admin
5. 模板中加入控制台内容输出
